Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.stmtformatter.type.comm
Class AllStmtsFormatter

    java.lang.Object
      gudusoft.gsqlparser.pp.stmtformatter.type.AbstractAllStmtsFormatter
          gudusoft.gsqlparser.pp.stmtformatter.type.comm.AllStmtsFormatter

    public class AllStmtsFormatter

extends AbstractAllStmtsFormatter

this formatter used to treat the empty line, comments, line number and so on.

Author:
  zhoujun

Nested Class Summary
`static interface` | `AllStmtsFormatter.SourceTokenVisitor`

Constructor Summary
`AllStmtsFormatter()`

Method Summary
`void` | `afterFormat(TStatementList stmt)`
`void` | `beforeFormat(TStatementList stmt)`
`void` | `doFormat(TStatementList stmts)` override this method if need
`static void` | `processEmptyLine(TStatementList stmts, GFmtOpt opt, boolean isInBlock)`

Methods inherited from class gudusoft.gsqlparser.pp.stmtformatter.type.AbstractAllStmtsFormatter
`getOption, getSessionId, setSessionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllStmtsFormatter

    public AllStmtsFormatter()

Method Detail

### doFormat

    public void doFormat(TStatementList stmts)

  Description copied from class: `AbstractAllStmtsFormatter`
  override this method if need

  Overrides:
    `doFormat` in class `AbstractAllStmtsFormatter`

### beforeFormat

    public void beforeFormat(TStatementList stmt)

  Overrides:
    `beforeFormat` in class `AbstractAllStmtsFormatter`

### afterFormat

    public void afterFormat(TStatementList stmt)

  Overrides:
    `afterFormat` in class `AbstractAllStmtsFormatter`

### processEmptyLine

    public static void processEmptyLine(TStatementList stmts,
                                        GFmtOpt opt,
                                        boolean isInBlock)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD